ZenLib::Format::Http::Request Class Reference

`#include <Http_Request.h>`

## Public Member Functions

| Request ()
| Request (const Request &Req)
| ~Request ()
bool | Http_Begin (std::istream &In, std::ostream &Out)
void | Http_End (std::ostream &Out)

## Public Attributes

ZenLib::Format::Http::Handler * | Http
bool | IsCopy

## Constructor & Destructor Documentation

## Request() [1/2]

ZenLib::Format::Http::Request::Request | ( |  | ) |

Referenced by Http_End(), and Request().

## Request() [2/2]

ZenLib::Format::Http::Request::Request | ( | const Request & | Req | ) |

References Request().

## ~Request()

ZenLib::Format::Http::Request::~Request | ( |  | ) |

## Member Function Documentation

## Http_Begin()

bool ZenLib::Format::Http::Request::Http_Begin | ( | std::istream & | In,
|  | std::ostream & | Out )

## Http_End()

void ZenLib::Format::Http::Request::Http_End | ( | std::ostream & | Out | ) |

References Request().

## Member Data Documentation

## Http

ZenLib::Format::Http::Handler* ZenLib::Format::Http::Request::Http

## IsCopy

bool ZenLib::Format::Http::Request::IsCopy

The documentation for this class was generated from the following file:

- Http_Request.h